pango Functions
Prev | The pango Class Reference | Next

## pango Functions

pango Functions — a list of all the pango functions

## Synopsis

### `pango.Attribute` Functions

        def pango.attr_type_register(name)
        def pango.AttrLanguage(language, start_index=0, end_index=1)
        def pango.AttrFamily(family, start_index=0, end_index=1)
        def pango.AttrForeground(red, green, blue, start_index=0, end_index=1)
        def pango.AttrBackground(red, green, blue, start_index=0, end_index=1)
        def pango.AttrSize(size, start_index=0, end_index=1)
        def pango.AttrStyle(style, start_index=0, end_index=1)
        def pango.AttrWeight(weight, start_index=0, end_index=1)
        def pango.AttrVariant(variant, start_index=0, end_index=1)
        def pango.AttrStretch(stretch, start_index=0, end_index=1)
        def pango.AttrFontDesc(desc, start_index=0, end_index=1)
        def pango.AttrUnderline(underline, start_index=0, end_index=1)
        def pango.AttrStrikethrough(strikethrough, start_index=0, end_index=1)
        def pango.AttrRise(rise, start_index=0, end_index=1)
        def pango.AttrShape(ink_rect, logical_rect, start_index=0, end_index=1)
        def pango.AttrScale(scale, start_index=0, end_index=1)
        def pango.AttrFallback(fallback, start_index=0, end_index=1)

### `pango.AttrList` Functions

        def pango.parse_markup(markup_text, accel_marker=u'\x00')

### `pango.Font` Functions

        def pango.PIXELS(size)
        def pango.ASCENT(rect)
        def pango.DESCENT(rect)
        def pango.RBEARING(rect)
        def pango.LBEARING(rect)

Prev | Up | Next
The Pango Markup Language | Home | pango Constants